Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/product-collections \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"type": "STATIC",
"name": "Static collection example",
"products": [
{
"id": "prod_0a41dd45dc85fcab40",
"object": "product"
}
]
}
'{
"id": "<string>",
"name": "All Products",
"type": "STATIC",
"created_at": "2021-12-09T12:51:29.898Z",
"object": "products_collection",
"filter": {
"junction": "and"
},
"products": [
{
"id": "prod_0a41bcf807c5fcaaf6",
"object": "sku",
"product_id": "<string>"
}
]
}This method creates a new product collection.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/product-collections \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"type": "STATIC",
"name": "Static collection example",
"products": [
{
"id": "prod_0a41dd45dc85fcab40",
"object": "product"
}
]
}
'{
"id": "<string>",
"name": "All Products",
"type": "STATIC",
"created_at": "2021-12-09T12:51:29.898Z",
"object": "products_collection",
"filter": {
"junction": "and"
},
"products": [
{
"id": "prod_0a41bcf807c5fcaaf6",
"object": "sku",
"product_id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Request body schema for POST v1/product-collections.
Show that the product collection is static (manually selected products).
STATIC Unique user-defined product collection name.
Defines a set of products for a STATIC product collection type.
Show child attributes
Returns information about the newly created collection, as well as an array containing the products.
Response body schema for POST v1/product-collections.
Product collection ID.
Unique user-defined product collection name.
"All Products"
Describes whether the product collection is dynamic (products come in and leave based on set criteria) or static (manually selected products).
STATIC, AUTO_UPDATE Timestamp representing the date and time when the product collection was created. The value is shown in the ISO 8601 format.
"2021-12-09T12:51:29.898Z"
The type of the object represented by JSON. This object stores information about the static product collection.
products_collection Defines a set of criteria and boundary conditions for an AUTO_UPDATE product collection type.
Show child attributes
Defines a set of products for a STATIC product collection type.
Show child attributes
Was this page helpful?